Get the error dictionary
curl --request GET \
--url https://api.cloud.corbado.io/v1/observe/errorCodes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cloud.corbado.io/v1/observe/errorCodes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cloud.corbado.io/v1/observe/errorCodes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cloud.corbado.io/v1/observe/errorCodes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.cloud.corbado.io/v1/observe/errorCodes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.cloud.corbado.io/v1/observe/errorCodes")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cloud.corbado.io/v1/observe/errorCodes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"schemaVersion": "<string>",
"revision": 123,
"codes": [
{
"code": "<string>",
"parentCode": "<string>",
"level": "generic",
"scope": "cross-cutting",
"status": "proposed",
"successorCode": "<string>",
"category": "<string>",
"subFlowTypes": [
"<string>"
],
"defaultSeverity": "error",
"silentProbe": true,
"inferred": true,
"inferredMatch": [
{
"trigger": "<string>",
"subFlowTypes": [
"<string>"
],
"steps": [
"<string>"
],
"specTypes": [
"<string>"
]
}
],
"refinements": [
{
"match": {
"messageIncludes": [
"<string>"
],
"buckets": [
"<string>"
],
"specTypes": [
"<string>"
]
},
"code": "<string>"
}
],
"durationBuckets": {},
"qualifier": "<string>",
"title": "<string>",
"matchingDescription": {
"is": "<string>",
"isNot": "<string>"
},
"customerName": "<string>",
"customerDescription": "<string>",
"revision": 123,
"createdMs": 123,
"updatedMs": 123,
"bucketOf": {
"base": "<string>",
"buckets": [
"<string>"
]
}
}
]
}{
"error": {
"message": "Validation failed",
"details": [
{
"field": "projectID",
"message": "required"
}
]
}
}ObserveErrorCode
Get the error dictionary
Returns the whole Observe error dictionary of this deployment at its current revision: every code,
ordered by code, with the revision that last changed it. The dictionary is the same for every
project; revision is the highest revision of any code (0 while the dictionary is empty).
Required API key permission: observe:errorCodes:read.
GET
/
observe
/
errorCodes
Get the error dictionary
curl --request GET \
--url https://api.cloud.corbado.io/v1/observe/errorCodes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cloud.corbado.io/v1/observe/errorCodes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cloud.corbado.io/v1/observe/errorCodes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cloud.corbado.io/v1/observe/errorCodes",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.cloud.corbado.io/v1/observe/errorCodes"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.cloud.corbado.io/v1/observe/errorCodes")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cloud.corbado.io/v1/observe/errorCodes")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"schemaVersion": "<string>",
"revision": 123,
"codes": [
{
"code": "<string>",
"parentCode": "<string>",
"level": "generic",
"scope": "cross-cutting",
"status": "proposed",
"successorCode": "<string>",
"category": "<string>",
"subFlowTypes": [
"<string>"
],
"defaultSeverity": "error",
"silentProbe": true,
"inferred": true,
"inferredMatch": [
{
"trigger": "<string>",
"subFlowTypes": [
"<string>"
],
"steps": [
"<string>"
],
"specTypes": [
"<string>"
]
}
],
"refinements": [
{
"match": {
"messageIncludes": [
"<string>"
],
"buckets": [
"<string>"
],
"specTypes": [
"<string>"
]
},
"code": "<string>"
}
],
"durationBuckets": {},
"qualifier": "<string>",
"title": "<string>",
"matchingDescription": {
"is": "<string>",
"isNot": "<string>"
},
"customerName": "<string>",
"customerDescription": "<string>",
"revision": 123,
"createdMs": 123,
"updatedMs": 123,
"bucketOf": {
"base": "<string>",
"buckets": [
"<string>"
]
}
}
]
}{
"error": {
"message": "Validation failed",
"details": [
{
"field": "projectID",
"message": "required"
}
]
}
}Authorizations
Use an Observe API key from the management console. The key selects the project and must grant the permission listed on the operation. Keep this key on your server.
Was this page helpful?